path: /build/build/libvdpau-x11-libs-1.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -dri -prefix -test" emerge x11-libs/libvdpau -pv -t && \
    USE="-doc -dri -prefix -test" emerge -j ${JOBS} --nodeps x11-libs/libvdpau
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libvdpau && luet-portage --dir /pkgdir/libvdpau
    x11-libs/libvdpau && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ebd0f8ae81f68d78d06d7b5b3ce0461a8a46bf3a08a33f7754de97af96b61412
  package:
    name: libvdpau
    version: "1.4"
    category: x11-libs
    use_flags:
    - -doc
    - -dri
    - -prefix
    - -test
    requires:
    - name: libXxf86vm
      version: '>=0'
      category: x11-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: VDPAU wrapper and trace libraries
    uri:
    - https://www.freedesktop.org/wiki/Software/VDPAU
    license: MIT
    buildtimestamp: 2023-08-17 22:41:50.264944615 +0000 UTC m=+91.151596091
    labels:
      BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 test? ( !prefix? (
        x11-base/xorg-server[xvfb] ) x11-apps/xhost )'
      DEPEND: '>=x11-libs/libX11-1.6.2 dri? ( >=x11-libs/libXext-1.3.2 ) !=x11-drivers/nvidia-drivers-180*
        !=x11-drivers/nvidia-drivers-185* !=x11-drivers/nvidia-drivers-190* virtual/pkgconfig
        doc? ( app-doc/doxygen media-gfx/graphviz virtual/latex-base ) dri? ( x11-base/xorg-proto
        )'
      IUSE: doc dri abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64 test
      RDEPEND: '>=x11-libs/libX11-1.6.2 dri? ( >=x11-libs/libXext-1.3.2 ) !=x11-drivers/nvidia-drivers-180*
        !=x11-drivers/nvidia-drivers-185* !=x11-drivers/nvidia-drivers-190*'
      emerge.packages: x11-libs/libvdpau
      kit: core-gl-kit
      original.package.name: x11-libs/libvdpau
      original.package.slot: "0"
      original.package.version: "1.4"
    treedir: /build/packages
  package_dir: /pkgdir/libvdpau
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b784a0c98771d5f52cd7a959fd5e3adf7d04680a437d74cffdbc7ef2ed099ab5
compressiontype: zstd
files:
- etc/vdpau_wrapper.cfg
- usr/include/vdpau/vdpau.h
- usr/include/vdpau/vdpau_x11.h
- usr/lib64/libvdpau.so
- usr/lib64/libvdpau.so.1
- usr/lib64/libvdpau.so.1.0.0
- usr/lib64/pkgconfig/vdpau.pc
- usr/lib64/vdpau/libvdpau_trace.so
- usr/lib64/vdpau/libvdpau_trace.so.1
- usr/lib64/vdpau/libvdpau_trace.so.1.0.0
- usr/share/doc/libvdpau-1.4/AUTHORS.bz2
- var/db/pkg/x11-libs/libvdpau-1.4/BDEPEND
- var/db/pkg/x11-libs/libvdpau-1.4/BUILD_TIME
- var/db/pkg/x11-libs/libvdpau-1.4/CATEGORY
- var/db/pkg/x11-libs/libvdpau-1.4/CBUILD
- var/db/pkg/x11-libs/libvdpau-1.4/CFLAGS
- var/db/pkg/x11-libs/libvdpau-1.4/CHOST
- var/db/pkg/x11-libs/libvdpau-1.4/CONTENTS
- var/db/pkg/x11-libs/libvdpau-1.4/COUNTER
- var/db/pkg/x11-libs/libvdpau-1.4/CXXFLAGS
- var/db/pkg/x11-libs/libvdpau-1.4/DEFINED_PHASES
- var/db/pkg/x11-libs/libvdpau-1.4/DEPEND
- var/db/pkg/x11-libs/libvdpau-1.4/DESCRIPTION
- var/db/pkg/x11-libs/libvdpau-1.4/EAPI
- var/db/pkg/x11-libs/libvdpau-1.4/FEATURES
- var/db/pkg/x11-libs/libvdpau-1.4/HOMEPAGE
- var/db/pkg/x11-libs/libvdpau-1.4/INHERITED
- var/db/pkg/x11-libs/libvdpau-1.4/IUSE
- var/db/pkg/x11-libs/libvdpau-1.4/IUSE_EFFECTIVE
- var/db/pkg/x11-libs/libvdpau-1.4/KEYWORDS
- var/db/pkg/x11-libs/libvdpau-1.4/LDFLAGS
- var/db/pkg/x11-libs/libvdpau-1.4/LICENSE
- var/db/pkg/x11-libs/libvdpau-1.4/NEEDED
- var/db/pkg/x11-libs/libvdpau-1.4/PF
- var/db/pkg/x11-libs/libvdpau-1.4/PROVIDES
- var/db/pkg/x11-libs/libvdpau-1.4/RDEPEND
- var/db/pkg/x11-libs/libvdpau-1.4/REQUIRES
- var/db/pkg/x11-libs/libvdpau-1.4/SIZE
- var/db/pkg/x11-libs/libvdpau-1.4/SLOT
- var/db/pkg/x11-libs/libvdpau-1.4/USE
- var/db/pkg/x11-libs/libvdpau-1.4/environment.bz2
- var/db/pkg/x11-libs/libvdpau-1.4/libvdpau-1.4.ebuild
- var/db/pkg/x11-libs/libvdpau-1.4/repository
package_cacheimage: ""
runtime:
  name: libvdpau
  version: "1.4"
  category: x11-libs
  use_flags:
  - -doc
  - -dri
  - -prefix
  - -test
  requires:
  - name: libX11
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: VDPAU wrapper and trace libraries
  uri:
  - https://www.freedesktop.org/wiki/Software/VDPAU
  license: MIT
  labels:
    BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 test? ( !prefix? ( x11-base/xorg-server[xvfb]
      ) x11-apps/xhost )'
    DEPEND: '>=x11-libs/libX11-1.6.2 dri? ( >=x11-libs/libXext-1.3.2 ) !=x11-drivers/nvidia-drivers-180*
      !=x11-drivers/nvidia-drivers-185* !=x11-drivers/nvidia-drivers-190* virtual/pkgconfig
      doc? ( app-doc/doxygen media-gfx/graphviz virtual/latex-base ) dri? ( x11-base/xorg-proto
      )'
    IUSE: doc dri abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64 test
    RDEPEND: '>=x11-libs/libX11-1.6.2 dri? ( >=x11-libs/libXext-1.3.2 ) !=x11-drivers/nvidia-drivers-180*
      !=x11-drivers/nvidia-drivers-185* !=x11-drivers/nvidia-drivers-190*'
    emerge.packages: x11-libs/libvdpau
    kit: core-gl-kit
    original.package.name: x11-libs/libvdpau
    original.package.slot: "0"
    original.package.version: "1.4"
